Bug 127984 - [clip-path] Implement support for margin-box as reference box and box shape
Summary: [clip-path] Implement support for margin-box as reference box and box shape
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dirk Schulze
URL:
Keywords: InRadar
Depends on:
Blocks: 126207
  Show dependency treegraph
 
Reported: 2014-01-30 22:16 PST by Bem Jones-Bey
Modified: 2018-07-17 09:56 PDT (History)
5 users (show)

See Also:


Attachments
test-case (444 bytes, text/html)
2014-05-07 21:49 PDT, Zoltan Horvath
no flags Details
test-case-expected (209 bytes, text/html)
2014-05-07 21:49 PDT, Zoltan Horvath
no flags Details
Patch (19.18 KB, patch)
2018-07-15 03:21 PDT, Dirk Schulze
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews202 for win-future (12.79 MB, application/zip)
2018-07-15 06:09 PDT, Build Bot
no flags Details
Patch for landing (19.18 KB, patch)
2018-07-17 08:41 PDT, Dirk Schulze
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bem Jones-Bey 2014-01-30 22:16:53 PST
Right now the code uses the bounding client rect. It should use the actual margin-box. Note that tests will need to be added and changed as part of this fix.
Comment 1 Zoltan Horvath 2014-05-07 21:49:03 PDT
Created attachment 231044 [details]
test-case
Comment 2 Zoltan Horvath 2014-05-07 21:49:20 PDT
Created attachment 231045 [details]
test-case-expected
Comment 3 Dirk Schulze 2018-07-14 21:37:34 PDT
Note: expectation file lacks the clipping to the background area. The dimensions are correct though.
Comment 4 Dirk Schulze 2018-07-15 03:21:36 PDT
Created attachment 345053 [details]
Patch
Comment 5 Build Bot 2018-07-15 06:09:45 PDT
Comment on attachment 345053 [details]
Patch

Attachment 345053 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8543016

New failing tests:
http/tests/security/contentSecurityPolicy/userAgentShadowDOM/allow-audio.html
Comment 6 Build Bot 2018-07-15 06:09:56 PDT
Created attachment 345054 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 7 Dirk Schulze 2018-07-17 08:41:44 PDT
Created attachment 345154 [details]
Patch for landing
Comment 8 WebKit Commit Bot 2018-07-17 09:52:11 PDT
Comment on attachment 345154 [details]
Patch for landing

Clearing flags on attachment: 345154

Committed r233886: <https://trac.webkit.org/changeset/233886>
Comment 9 WebKit Commit Bot 2018-07-17 09:52:13 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2018-07-17 09:56:49 PDT
<rdar://problem/42289187>